Subject: RE: [bmwg] RE: draft-ietf-bmwg-mcastm-08.txt

From: Debby Stopp <[email-masked]>
Date: Wed, 23 Oct 2002 11:22:06 -0700

Jim -

Your point is well taken, however, the original question was regarding the
validity of the reference sited in Jerry's suggested text for section 4.1.
That text specifies how the transmitted streams should be configured, not
how the metrics are to be reported.

Jerry -

Thank you for your reminders from RFC 1242 and quote of RFC 2432.  That was
extremely helpful, however, I believe the reference that you sited should be
removed.  A better wording for that section of text is:

The relationship between the intended load [Ma91] of multicast class frames
vs. unicast class frames MUST be specified:

    a) As an independent rate for unicast class and multicast class of
traffic OR
    b) As an aggregate rate comprised of a ratio of multicast class to
unicast class of traffic.

Debby Stopp 
Principal Software Engineer
(818) 444-2365<?xml:namespace prefix = o ns =
"urn:schemas-microsoft-com:office:office" />

IXIA
26601 W. Agoura Rd. 
Calabasas 
CA 91302 
Tel: 818 871 1800 (US) +1 818 871 1800 (international) 

[email-masked]
http://www.ixiacom.com <http://www.ixiacom.com/>  

> -----Original Message-----
> From: Jim McQuaid [ mailto:[email-masked]
<mailto:[email-masked]> ]
> Sent: Wednesday, October 23, 2002 9:57 AM
> To: 'Perser, Jerry'; [email-masked]
> Subject: RE: [bmwg] RE: draft-ietf-bmwg-mcastm-08.txt
>
>
> Throughput certainly is not measured as a percentage, just as
> you report.
> But 1242 does include an appendix (which needs updating)
> which states the
> maximum frame rate for different sized packets.  Of course,
> this creates a
> natural desire and the context for thinking of throughput as
> a percentage of
> the maximum possible rate.  It's not invalid to talk about it
> that way, but
> it's not the UNIT for reporting throughput.
>
> cheers,
>
> Jim McQuaid
> NetIQ
>
> -----Original Message-----
> From: Perser, Jerry [ mailto:[email-masked]
<mailto:[email-masked]> ]
> Sent: Wednesday, October 23, 2002 12:27 PM
> To: [email-masked]
> Subject: RE: [bmwg] RE: draft-ietf-bmwg-mcastm-08.txt
>
>
> Debby,
>
> You are correct that RFC 1242 does not mention "each class of
> traffic".  The
> reason is that RFC 1242 only deals with a single class of
> traffic.  RFC 2432
> section 3.2.1 was written to extend RFC 1242 definition. 
> Quote from RFC
> 2432: "Based on the RFC 1242 definition for throughput, the
> Mixed Class
> Throughput benchmark attempts to characterize the DUT's
> ability to process
> both unicast and multicast frames in the same aggregated
> traffic stream."
>
> If you look at RFC 1242 section 3.17, measurement units are
> in "N-octet
> frames per second" or frame rate.  RFC 2285 section 3.5.2
> measurement units
> include percentage.  RFC 2432 section 3.2.1 measurement units
> are "Frames
> per second".
>
> Many people quote throughput as a percentage.  This is not
> the valid units
> per RFC 1242 or 2432.  I was attempting to write the draft to
> match the de
> facto standard.  This reference can be removed if enough
> people object to
> it.
>
> A better wording would be:
>
> A.) Input frame rate for each class of traffic [Br91] or as
>     a percentage of media_maximum-octets [Ma98]. There MUST
>     be two rates; for both unicast and multicast frames.
>
> Jerry.
>
>
> > -----Original Message-----
> > From: Debby Stopp [ mailto:[email-masked]
<mailto:[email-masked]> ]
> > Sent: Tuesday, October 22, 2002 4:54 PM
> > To: [email-masked]
> > Subject: [bmwg] RE: draft-ietf-bmwg-mcastm-08.txt
> >
> >
> > Jerry -
> >
> > I have been closely reviewing your comments from the archives:
> > http://www1.ietf.org/mail-archive/working-groups/bmwg/current/
<http://www1.ietf.org/mail-archive/working-groups/bmwg/current/> 
> > msg00139.html)
> > , specifically:
> >
> > "A.) Input frame rate for each class of traffic [Br91] or as
> > a percentage of
> > media_maximum-octets [Ma98].  There MUST be two rates; one
> > for each traffic
> > class.
> >
> > I believe this statement could lead to confusion.  I have
> > searched Br91 <rfc
> > 1242> for any mention regarding "input frame rate for each
> > class of traffic"
> > but I haven't found any specific details regarding this
> > reference.  I could
> > be wrong, just respond with why.
> >
> >
> > Thanks.
> >
> > Debby Stopp
> > Principal Software Engineer
> > (818) 444-2365
> >
> > IXIA
> > 26601 W. Agoura Rd.
> > Calabasas
> > CA 91302
> > Tel: 818 871 1800 (US) +1 818 871 1800 (international)
> >
> > [email-masked]
> > http://www.ixiacom.com <http://www.ixiacom.com>  
> >
> > _______________________________________________
> > bmwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/bmwg
<https://www1.ietf.org/mailman/listinfo/bmwg> 
> >
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg
<https://www1.ietf.org/mailman/listinfo/bmwg> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg
<https://www1.ietf.org/mailman/listinfo/bmwg>